import { createApp } from 'vue'
import App from './App.vue'
import 'ant-design-vue/dist/reset.css';
import Antd from 'ant-design-vue';
import router from './router/router';
import i18n from './i18n';
import { registerSW } from 'virtual:pwa-register'
import { isPwa, showPwaInstallPrompt } from './utils/pwa';

const updateSW = registerSW({
    onNeedRefresh() {
        // 当发现新版本时，可以在这里提示用户
        console.log('发现新版本')
    },
    onOfflineReady() {
        // 当离线功能准备就绪时
        console.log('应用已经可以离线使用')
        if (isPwa()) {
            console.log('PWA 模式')
        } else {
            // showPwaInstallPrompt()
        }
    },
})

const app = createApp(App);
app.use(Antd);
app.use(router);
app.use(i18n);
app.mount('#app')
